## FlatpakTransactionProgress FlatpakTransactionProgress — Progress of an operation |

## Functions

gboolean | flatpak_transaction_progress_get_is_estimating ()
int | flatpak_transaction_progress_get_progress ()
char * | flatpak_transaction_progress_get_status ()
void | flatpak_transaction_progress_set_update_frequency ()
guint64 | flatpak_transaction_progress_get_bytes_transferred ()
guint64 | flatpak_transaction_progress_get_start_time ()

## Signals

void | changed | Run Last

## Types and Values

| FlatpakTransactionProgress

## Object Hierarchy

        GObject
        ╰── FlatpakTransactionProgress

## Description

FlatpakTransactionProgress is an object that represents the progress of a single operation in a transaction. You obtain a FlatpakTransactionProgress with the “new-operation” signal.

## Functions

### flatpak_transaction_progress_get_is_estimating ()

    gboolean
    flatpak_transaction_progress_get_is_estimating
                                   (FlatpakTransactionProgress *self);

Gets whether the progress is currently estimating

#### Parameters

self | a FlatpakTransactionProgress |

#### Returns

whether we're estimating

### flatpak_transaction_progress_get_progress ()

    int
    flatpak_transaction_progress_get_progress
                                   (FlatpakTransactionProgress *self);

Gets the current progress.

#### Parameters

self | a FlatpakTransactionProgress |

#### Returns

the current progress, as an integer between 0 and 100

### flatpak_transaction_progress_get_status ()

    char *
    flatpak_transaction_progress_get_status
                                   (FlatpakTransactionProgress *self);

Gets the current status string

#### Parameters

self | a FlatpakTransactionProgress |

#### Returns

the current status.

[transfer full]

### flatpak_transaction_progress_set_update_frequency ()

    void
    flatpak_transaction_progress_set_update_frequency
                                   (FlatpakTransactionProgress *self,
                                    guint update_interval);

Sets how often progress should be updated.

#### Parameters

self | a FlatpakTransactionProgress |
update_interval | the update interval, in milliseconds |

### flatpak_transaction_progress_get_bytes_transferred ()

    guint64
    flatpak_transaction_progress_get_bytes_transferred
                                   (FlatpakTransactionProgress *self);

Gets the number of bytes that have been transferred.

#### Parameters

self | a FlatpakTransactionProgress |

#### Returns

the number of bytes transferred

Since: 1.1.2

### flatpak_transaction_progress_get_start_time ()

    guint64
    flatpak_transaction_progress_get_start_time
                                   (FlatpakTransactionProgress *self);

Gets the time at which this operation has started, as monotonic time.

#### Parameters

self | a FlatpakTransactionProgress |

#### Returns

the start time

Since: 1.1.2

## Types and Values

### FlatpakTransactionProgress

    typedef struct _FlatpakTransactionProgress FlatpakTransactionProgress;

## Signal Details

### The `“changed”` signal

    void
    user_function (FlatpakTransactionProgress *object,
                   gpointer                    user_data)

Emitted when some detail of the progress object changes, you can call the various methods to get the current status.

#### Parameters

object | A FlatpakTransactionProgress |
user_data | user data set when the signal handler was connected. |

Flags: Run Last